> For the complete documentation index, see [llms.txt](https://docs.payrexx.com/developer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payrexx.com/developer/general-info/objects/contact.md).

# Contact

### Occurrence

<table data-view="cards"><thead><tr><th></th></tr></thead><tbody><tr><td><a data-mention href="/pages/rvILA8OGze9H9IMhTIaS">/pages/rvILA8OGze9H9IMhTIaS</a></td></tr><tr><td><a data-mention href="/pages/4ZxIahprt0ss4dB5Gn3S">/pages/4ZxIahprt0ss4dB5Gn3S</a></td></tr></tbody></table>

### Content

{% hint style="info" %}
Payments trigger the creation of an internal Contact identified by the email address. Repeating payments update this Contact. When the webhook is triggered, it prioritises values sent with the specific payment; if those are missing, it falls back to the values stored on the Contact.
{% endhint %}

<table><thead><tr><th width="231.6796875">Key</th><th width="154.80078125">Type</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>int</td><td>Internal shopper ID</td></tr><tr><td>uuid</td><td>string</td><td><ul><li>External shopper ID</li><li>8 - 40 characters long</li></ul></td></tr><tr><td>title</td><td>string</td><td><ul><li>The person's title</li><li><p>Possible values:</p><ul><li>translated values of <code>miss</code> and <code>mister</code></li><li>arbitrary values due to e.g. custom gateway creation</li></ul></li></ul></td></tr><tr><td>firstname</td><td>string</td><td>The shopper's first name</td></tr><tr><td>lastname</td><td>string</td><td>The shopper's last name</td></tr><tr><td>company</td><td>string</td><td>The shopper's company name</td></tr><tr><td>street</td><td>string</td><td>The shopper's street</td></tr><tr><td>zip</td><td>string</td><td>The shopper's postcode</td></tr><tr><td>place</td><td>string</td><td>The place in which the shopper is living</td></tr><tr><td>country</td><td>string</td><td>The translated name of the country in which the shopper is living</td></tr><tr><td>countryISO</td><td>string</td><td>The <a href="https://en.wikipedia.org/wiki/ISO_3166-1">ISO 3166-1 Alpha 2</a> string of the country in which the shopper is living</td></tr><tr><td>phone</td><td>string</td><td><ul><li>The shopper's phone number</li><li><p>The numbers come in different formats depending on the shopper's input. Several examples, not limited to these formats:</p><ul><li>+41335500010</li><li>+41 33 550 00 10</li><li>0335500010</li><li>033 550 00 10</li></ul></li></ul></td></tr><tr><td>email</td><td>string</td><td>The shopper's email address</td></tr><tr><td>date_of_birth</td><td>string</td><td><ul><li>The shopper's date of birth</li><li><p>The numbers come in different formats depending on the shopper's input. Several examples, not limited to these formats:</p><ul><li>01.01.1970</li><li>1970-01-01</li></ul></li></ul></td></tr><tr><td>delivery_title</td><td>string</td><td><ul><li>The recipient's title</li><li><p>Possible values:</p><ul><li>translated values of <code>miss</code> and <code>mister</code></li><li>arbitrary values due to e.g. custom gateway creation</li></ul></li></ul></td></tr><tr><td>delivery_firstname</td><td>string</td><td>The recipient's first name</td></tr><tr><td>delivery_lastname</td><td>string</td><td>The recipient's last name</td></tr><tr><td>delivery_company</td><td>string</td><td>The recipient's company name</td></tr><tr><td>delivery_street</td><td>string</td><td>The recipient's street</td></tr><tr><td>delivery_zip</td><td>string</td><td>The recipient's postcode</td></tr><tr><td>delivery_place</td><td>string</td><td>The place in which the recipient is living</td></tr><tr><td>delivery_country</td><td>string</td><td>The translated name of the country in which the recipient is living</td></tr><tr><td>delivery_countryISO</td><td>string</td><td>The <a href="https://en.wikipedia.org/wiki/ISO_3166-1">ISO 3166-1 Alpha 2</a> string of the country in which the recipient is living</td></tr></tbody></table>

### Example

```json
{
    "id": 1234,
    "uuid": "aabb1122",
    "title": "female",
    "firstname": "Jane",
    "lastname": "Doe",
    "company": "Payrexx",
    "street": "Burgstrasse 20",
    "zip": "3600",
    "place": "Thun",
    "country": "Switzerland",
    "countryISO": "CH",
    "phone": "0335500010",
    "email": "subscription@test.com",
    "date_of_birth": "01.01.1970",
    "delivery_title": "",
    "delivery_firstname": "",
    "delivery_lastname": "",
    "delivery_company": "",
    "delivery_street": "",
    "delivery_zip": "",
    "delivery_place": "",
    "delivery_country": "",
    "delivery_countryISO": ""
  }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payrexx.com/developer/general-info/objects/contact.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
